R.attr

com.uva.rafael.tfg_goniometer

## Class R.attr

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.R.attr

- Enclosing class:
    R

      public static final class R.attr
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `actionBarDivider` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarItemBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarPopupTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarSize` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `actionBarSplitStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTabTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionBarWidgetTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionDropDownStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionMenuTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionMenuTextColor` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCloseButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCloseDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCopyDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeCutDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeFindDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModePasteDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModePopupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeSelectAllDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeShareDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeSplitBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionModeWebSearchDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionOverflowButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionOverflowMenuStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `actionProviderClass` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `actionViewClass` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `activityChooserViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `alertDialogButtonGroupStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `alertDialogCenterButtons` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `alertDialogStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `alertDialogTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `allowStacking` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `alpha` Must be a floating point value, such as "`1.2`".
    `static int` | `arrowHeadLength` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `arrowShaftLength` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `autoCompleteTextViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `background` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundSplit` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundStacked` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `backgroundTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `backgroundTintMode` Must be one of the following constant values.
    `static int` | `barLength` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `behavior_autoHide` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `behavior_hideable` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `behavior_overlapTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `behavior_peekHeight` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `behavior_skipCollapsed` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `borderlessButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `borderWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `bottomSheetDialogTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `bottomSheetStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonBarButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonBarNegativeButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonBarNeutralButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonBarPositiveButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonGravity` Must be one or more (separated by '|') of the following constant values.
    `static int` | `buttonPanelSideLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonStyleSmall` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `buttonTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `buttonTintMode` Must be one of the following constant values.
    `static int` | `cardBackgroundColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `cardCornerRadius` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `cardElevation` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `cardMaxElevation` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `cardPreventCornerOverlap` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `cardUseCompatPadding` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `checkboxStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `checkedTextViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `closeIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `closeItemLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `collapseContentDescription` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `collapsedTitleGravity` Must be one or more (separated by '|') of the following constant values.
    `static int` | `collapsedTitleTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `collapseIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `color` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorAccent` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorBackgroundFloating` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorButtonNormal` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorControlActivated` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorControlHighlight` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorControlNormal` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorPrimary` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorPrimaryDark` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `colorSwitchThumbNormal` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `commitIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `constraintSet` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `contentInsetEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetEndWithActions` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetLeft` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetRight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentInsetStartWithNavigation` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentPaddingBottom` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentPaddingLeft` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentPaddingRight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentPaddingTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `contentScrim` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `controlBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `counterEnabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `counterMaxLength` Must be an integer value, such as "`100`".
    `static int` | `counterOverflowTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `counterTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `customNavigationLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `defaultQueryHint` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `dialogPreferredPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `dialogTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `displayOptions` Must be one or more (separated by '|') of the following constant values.
    `static int` | `divider` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dividerHorizontal` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dividerPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `dividerVertical` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `drawableSize` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `drawerArrowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `dropdownListPreferredItemHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `dropDownListViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `editTextBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `editTextColor` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `editTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `elevation` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `errorEnabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `errorTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `expandActivityOverflowButtonDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `expanded` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `expandedTitleGravity` Must be one or more (separated by '|') of the following constant values.
    `static int` | `expandedTitleMargin` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `expandedTitleMarginBottom` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `expandedTitleMarginEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `expandedTitleMarginStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `expandedTitleMarginTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `expandedTitleTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `fabSize` Must be one of the following constant values.
    `static int` | `foregroundInsidePadding` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `gapBetweenBars` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `goIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `headerLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `height` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `hideOnContentScroll` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `hintAnimationEnabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `hintEnabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `hintTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `homeAsUpIndicator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `homeLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `icon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `iconifiedByDefault` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `imageButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `indeterminateProgressStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `initialActivityCount` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `insetForeground` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `isLightTheme` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `itemBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `itemIconTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `itemPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `itemTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `itemTextColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `keylines` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_anchor` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_anchorGravity` Must be one or more (separated by '|') of the following constant values.
    `static int` | `layout_behavior` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `layout_collapseMode` Must be one of the following constant values.
    `static int` | `layout_collapseParallaxMultiplier` Must be a floating point value, such as "`1.2`".
    `static int` | `layout_constraintBaseline_creator` Must be an integer value, such as "`100`".
    `static int` | `layout_constraintBaseline_toBaselineOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintBottom_creator` Must be an integer value, such as "`100`".
    `static int` | `layout_constraintBottom_toBottomOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintBottom_toTopOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintDimensionRatio` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `layout_constraintEnd_toEndOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintEnd_toStartOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintGuide_begin` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_constraintGuide_end` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_constraintGuide_percent` Must be a floating point value, such as "`1.2`".
    `static int` | `layout_constraintHeight_default` Must be one of the following constant values.
    `static int` | `layout_constraintHeight_max` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_constraintHeight_min` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_constraintHorizontal_bias` Must be a floating point value, such as "`1.2`".
    `static int` | `layout_constraintHorizontal_chainStyle` Must be one of the following constant values.
    `static int` | `layout_constraintHorizontal_weight` Must be a floating point value, such as "`1.2`".
    `static int` | `layout_constraintLeft_creator` Must be an integer value, such as "`100`".
    `static int` | `layout_constraintLeft_toLeftOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintLeft_toRightOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintRight_creator` Must be an integer value, such as "`100`".
    `static int` | `layout_constraintRight_toLeftOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintRight_toRightOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintStart_toEndOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintStart_toStartOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintTop_creator` Must be an integer value, such as "`100`".
    `static int` | `layout_constraintTop_toBottomOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintTop_toTopOf` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layout_constraintVertical_bias` Must be a floating point value, such as "`1.2`".
    `static int` | `layout_constraintVertical_chainStyle` Must be one of the following constant values.
    `static int` | `layout_constraintVertical_weight` Must be a floating point value, such as "`1.2`".
    `static int` | `layout_constraintWidth_default` Must be one of the following constant values.
    `static int` | `layout_constraintWidth_max` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_constraintWidth_min` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_dodgeInsetEdges` Must be one or more (separated by '|') of the following constant values.
    `static int` | `layout_editor_absoluteX` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_editor_absoluteY` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_goneMarginBottom` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_goneMarginEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_goneMarginLeft` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_goneMarginRight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_goneMarginStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_goneMarginTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `layout_insetEdge` Must be one of the following constant values.
    `static int` | `layout_keyline` Must be an integer value, such as "`100`".
    `static int` | `layout_optimizationLevel` Must be one or more (separated by '|') of the following constant values.
    `static int` | `layout_scrollFlags` Must be one or more (separated by '|') of the following constant values.
    `static int` | `layout_scrollInterpolator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `layoutManager` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `listChoiceBackgroundIndicator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listDividerAlertDialog` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listItemLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listMenuViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listPopupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `listPreferredItemHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemHeightLarge` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemHeightSmall` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemPaddingLeft` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `listPreferredItemPaddingRight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `logo` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `logoDescription` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `maxActionInlineWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `maxButtonHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `measureWithLargestChild` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `menu` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `multiChoiceItemLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `navigationContentDescription` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `navigationIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `navigationMode` Must be one of the following constant values.
    `static int` | `overlapAnchor` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `paddingBottomNoButtons` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `paddingEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `paddingStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `paddingTopNoTitle` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `panelBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `panelMenuListTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `panelMenuListWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `passwordToggleContentDescription` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `passwordToggleDrawable` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `passwordToggleEnabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `passwordToggleTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `passwordToggleTintMode` Must be one of the following constant values.
    `static int` | `popupMenuStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `popupTheme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `popupWindowStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `preserveIconSpacing` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `pressedTranslationZ` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `progressBarPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `progressBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `queryBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `queryHint` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `radioButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `ratingBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `ratingBarStyleIndicator` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `ratingBarStyleSmall` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `reverseLayout` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `rippleColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `scrimAnimationDuration` Must be an integer value, such as "`100`".
    `static int` | `scrimVisibleHeightTrigger` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `searchHintIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `searchViewStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `seekBarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `selectableItemBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `selectableItemBackgroundBorderless` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `showAsAction` Must be one or more (separated by '|') of the following constant values.
    `static int` | `showDividers` Must be one or more (separated by '|') of the following constant values.
    `static int` | `showText` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `showTitle` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `singleChoiceItemLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `spanCount` Must be an integer value, such as "`100`".
    `static int` | `spinBars` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `spinnerDropDownItemStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `spinnerStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `splitTrack` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `srcCompat` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `stackFromEnd` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `state_above_anchor` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `state_collapsed` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `state_collapsible` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `statusBarBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `statusBarScrim` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `subMenuArrow` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `submitBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `subtitle` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `subtitleTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `subtitleTextColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `subtitleTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `suggestionRowLayout` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `switchMinWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `switchPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `switchStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `switchTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `tabBackground` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `tabContentStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabGravity` Must be one of the following constant values.
    `static int` | `tabIndicatorColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `tabIndicatorHeight` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabMaxWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabMinWidth` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabMode` Must be one of the following constant values.
    `static int` | `tabPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabPaddingBottom` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabPaddingEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabPaddingStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabPaddingTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `tabSelectedTextColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `tabTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `tabTextColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `textAllCaps` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceLargePopupMenu` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceListItem` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceListItemSmall` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearancePopupMenuHeader` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceSearchResultSubtitle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceSearchResultTitle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textAppearanceSmallPopupMenu` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textColorAlertDialogListItem` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `textColorError` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `textColorSearchUrl` May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `theme` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `thickness` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `thumbTextPadding` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `thumbTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `thumbTintMode` Must be one of the following constant values.
    `static int` | `tickMark` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `tickMarkTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `tickMarkTintMode` Must be one of the following constant values.
    `static int` | `title` Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.
    `static int` | `titleEnabled` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `titleMargin` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginBottom` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginEnd` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMargins` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginStart` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleMarginTop` Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `titleTextAppearance` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `titleTextColor` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `titleTextStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `toolbarId` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `toolbarNavigationButtonStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `toolbarStyle` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `track` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `trackTint` Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".
    `static int` | `trackTintMode` Must be one of the following constant values.
    `static int` | `useCompatPadding` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `voiceIcon` Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?`
    `static int` | `windowActionBar` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowActionBarOverlay` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowActionModeOverlay` Must be a boolean value, either "`true`" or "`false`".
    `static int` | `windowFixedHeightMajor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowFixedHeightMinor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowFixedWidthMajor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowFixedWidthMinor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowMinWidthMajor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowMinWidthMinor` May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`".
    `static int` | `windowNoTitle` Must be a boolean value, either "`true`" or "`false`".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `attr()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### actionBarDivider

          public static final int actionBarDivider

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarItemBackground

          public static final int actionBarItemBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarPopupTheme

          public static final int actionBarPopupTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarSize

          public static final int actionBarSize

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `wrap_content` | 0 |

      See Also:
        Constant Field Values

    - #### actionBarSplitStyle

          public static final int actionBarSplitStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarStyle

          public static final int actionBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabBarStyle

          public static final int actionBarTabBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabStyle

          public static final int actionBarTabStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTabTextStyle

          public static final int actionBarTabTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarTheme

          public static final int actionBarTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionBarWidgetTheme

          public static final int actionBarWidgetTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionButtonStyle

          public static final int actionButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionDropDownStyle

          public static final int actionDropDownStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionLayout

          public static final int actionLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionMenuTextAppearance

          public static final int actionMenuTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionMenuTextColor

          public static final int actionMenuTextColor

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### actionModeBackground

          public static final int actionModeBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCloseButtonStyle

          public static final int actionModeCloseButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCloseDrawable

          public static final int actionModeCloseDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCopyDrawable

          public static final int actionModeCopyDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeCutDrawable

          public static final int actionModeCutDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeFindDrawable

          public static final int actionModeFindDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModePasteDrawable

          public static final int actionModePasteDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModePopupWindowStyle

          public static final int actionModePopupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeSelectAllDrawable

          public static final int actionModeSelectAllDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeShareDrawable

          public static final int actionModeShareDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeSplitBackground

          public static final int actionModeSplitBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeStyle

          public static final int actionModeStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionModeWebSearchDrawable

          public static final int actionModeWebSearchDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionOverflowButtonStyle

          public static final int actionOverflowButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionOverflowMenuStyle

          public static final int actionOverflowMenuStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### actionProviderClass

          public static final int actionProviderClass

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### actionViewClass

          public static final int actionViewClass

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### activityChooserViewStyle

          public static final int activityChooserViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### alertDialogButtonGroupStyle

          public static final int alertDialogButtonGroupStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### alertDialogCenterButtons

          public static final int alertDialogCenterButtons

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### alertDialogStyle

          public static final int alertDialogStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### alertDialogTheme

          public static final int alertDialogTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### allowStacking

          public static final int allowStacking

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### alpha

          public static final int alpha

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### arrowHeadLength

          public static final int arrowHeadLength

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### arrowShaftLength

          public static final int arrowShaftLength

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### autoCompleteTextViewStyle

          public static final int autoCompleteTextViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### background

          public static final int background

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### backgroundSplit

          public static final int backgroundSplit

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### backgroundStacked

          public static final int backgroundStacked

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### backgroundTint

          public static final int backgroundTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### backgroundTintMode

          public static final int backgroundTintMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `src_over` | 3 |
      `src_in` | 5 |
      `src_atop` | 9 |
      `multiply` | 14 |
      `screen` | 15 |

      See Also:
        Constant Field Values

    - #### barLength

          public static final int barLength

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### behavior_autoHide

          public static final int behavior_autoHide

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### behavior_hideable

          public static final int behavior_hideable

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### behavior_overlapTop

          public static final int behavior_overlapTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### behavior_peekHeight

          public static final int behavior_peekHeight

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `auto` | -1 |

      See Also:
        Constant Field Values

    - #### behavior_skipCollapsed

          public static final int behavior_skipCollapsed

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### borderWidth

          public static final int borderWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### borderlessButtonStyle

          public static final int borderlessButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### bottomSheetDialogTheme

          public static final int bottomSheetDialogTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### bottomSheetStyle

          public static final int bottomSheetStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonBarButtonStyle

          public static final int buttonBarButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonBarNegativeButtonStyle

          public static final int buttonBarNegativeButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonBarNeutralButtonStyle

          public static final int buttonBarNeutralButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonBarPositiveButtonStyle

          public static final int buttonBarPositiveButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonBarStyle

          public static final int buttonBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonGravity

          public static final int buttonGravity

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `top` | 0x30 |
      `bottom` | 0x50 |

      See Also:
        Constant Field Values

    - #### buttonPanelSideLayout

          public static final int buttonPanelSideLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonStyle

          public static final int buttonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonStyleSmall

          public static final int buttonStyleSmall

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### buttonTint

          public static final int buttonTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### buttonTintMode

          public static final int buttonTintMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `src_over` | 3 |
      `src_in` | 5 |
      `src_atop` | 9 |
      `multiply` | 14 |
      `screen` | 15 |

      See Also:
        Constant Field Values

    - #### cardBackgroundColor

          public static final int cardBackgroundColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### cardCornerRadius

          public static final int cardCornerRadius

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### cardElevation

          public static final int cardElevation

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### cardMaxElevation

          public static final int cardMaxElevation

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### cardPreventCornerOverlap

          public static final int cardPreventCornerOverlap

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### cardUseCompatPadding

          public static final int cardUseCompatPadding

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### checkboxStyle

          public static final int checkboxStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### checkedTextViewStyle

          public static final int checkedTextViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### closeIcon

          public static final int closeIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### closeItemLayout

          public static final int closeItemLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### collapseContentDescription

          public static final int collapseContentDescription

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### collapseIcon

          public static final int collapseIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### collapsedTitleGravity

          public static final int collapsedTitleGravity

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `top` | 0x30 |
      `bottom` | 0x50 |
      `left` | 0x03 |
      `right` | 0x05 |
      `center_vertical` | 0x10 |
      `fill_vertical` | 0x70 |
      `center_horizontal` | 0x01 |
      `center` | 0x11 |
      `start` | 0x00800003 |
      `end` | 0x00800005 |

      See Also:
        Constant Field Values

    - #### collapsedTitleTextAppearance

          public static final int collapsedTitleTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### color

          public static final int color

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorAccent

          public static final int colorAccent

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorBackgroundFloating

          public static final int colorBackgroundFloating

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorButtonNormal

          public static final int colorButtonNormal

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorControlActivated

          public static final int colorControlActivated

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorControlHighlight

          public static final int colorControlHighlight

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorControlNormal

          public static final int colorControlNormal

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorPrimary

          public static final int colorPrimary

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorPrimaryDark

          public static final int colorPrimaryDark

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### colorSwitchThumbNormal

          public static final int colorSwitchThumbNormal

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### commitIcon

          public static final int commitIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### constraintSet

          public static final int constraintSet

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### contentInsetEnd

          public static final int contentInsetEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetEndWithActions

          public static final int contentInsetEndWithActions

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetLeft

          public static final int contentInsetLeft

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetRight

          public static final int contentInsetRight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetStart

          public static final int contentInsetStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentInsetStartWithNavigation

          public static final int contentInsetStartWithNavigation

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentPadding

          public static final int contentPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentPaddingBottom

          public static final int contentPaddingBottom

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentPaddingLeft

          public static final int contentPaddingLeft

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentPaddingRight

          public static final int contentPaddingRight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentPaddingTop

          public static final int contentPaddingTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### contentScrim

          public static final int contentScrim

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### controlBackground

          public static final int controlBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### counterEnabled

          public static final int counterEnabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### counterMaxLength

          public static final int counterMaxLength

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### counterOverflowTextAppearance

          public static final int counterOverflowTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### counterTextAppearance

          public static final int counterTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### customNavigationLayout

          public static final int customNavigationLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### defaultQueryHint

          public static final int defaultQueryHint

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### dialogPreferredPadding

          public static final int dialogPreferredPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### dialogTheme

          public static final int dialogTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### displayOptions

          public static final int displayOptions

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0 |
      `useLogo` | 0x1 |
      `showHome` | 0x2 |
      `homeAsUp` | 0x4 |
      `showTitle` | 0x8 |
      `showCustom` | 0x10 |
      `disableHome` | 0x20 |

      See Also:
        Constant Field Values

    - #### divider

          public static final int divider

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dividerHorizontal

          public static final int dividerHorizontal

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dividerPadding

          public static final int dividerPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### dividerVertical

          public static final int dividerVertical

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### drawableSize

          public static final int drawableSize

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### drawerArrowStyle

          public static final int drawerArrowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dropDownListViewStyle

          public static final int dropDownListViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### dropdownListPreferredItemHeight

          public static final int dropdownListPreferredItemHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### editTextBackground

          public static final int editTextBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### editTextColor

          public static final int editTextColor

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### editTextStyle

          public static final int editTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### elevation

          public static final int elevation

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### errorEnabled

          public static final int errorEnabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### errorTextAppearance

          public static final int errorTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### expandActivityOverflowButtonDrawable

          public static final int expandActivityOverflowButtonDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### expanded

          public static final int expanded

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandedTitleGravity

          public static final int expandedTitleGravity

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `top` | 0x30 |
      `bottom` | 0x50 |
      `left` | 0x03 |
      `right` | 0x05 |
      `center_vertical` | 0x10 |
      `fill_vertical` | 0x70 |
      `center_horizontal` | 0x01 |
      `center` | 0x11 |
      `start` | 0x00800003 |
      `end` | 0x00800005 |

      See Also:
        Constant Field Values

    - #### expandedTitleMargin

          public static final int expandedTitleMargin

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandedTitleMarginBottom

          public static final int expandedTitleMarginBottom

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandedTitleMarginEnd

          public static final int expandedTitleMarginEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandedTitleMarginStart

          public static final int expandedTitleMarginStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandedTitleMarginTop

          public static final int expandedTitleMarginTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### expandedTitleTextAppearance

          public static final int expandedTitleTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### fabSize

          public static final int fabSize

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `auto` | -1 |
      `normal` | 0 |
      `mini` | 1 |

      See Also:
        Constant Field Values

    - #### foregroundInsidePadding

          public static final int foregroundInsidePadding

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### gapBetweenBars

          public static final int gapBetweenBars

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### goIcon

          public static final int goIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### headerLayout

          public static final int headerLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### height

          public static final int height

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### hideOnContentScroll

          public static final int hideOnContentScroll

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### hintAnimationEnabled

          public static final int hintAnimationEnabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### hintEnabled

          public static final int hintEnabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### hintTextAppearance

          public static final int hintTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### homeAsUpIndicator

          public static final int homeAsUpIndicator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### homeLayout

          public static final int homeLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### icon

          public static final int icon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### iconifiedByDefault

          public static final int iconifiedByDefault

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### imageButtonStyle

          public static final int imageButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### indeterminateProgressStyle

          public static final int indeterminateProgressStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### initialActivityCount

          public static final int initialActivityCount

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### insetForeground

          public static final int insetForeground

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### isLightTheme

          public static final int isLightTheme

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemBackground

          public static final int itemBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### itemIconTint

          public static final int itemIconTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemPadding

          public static final int itemPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### itemTextAppearance

          public static final int itemTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### itemTextColor

          public static final int itemTextColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### keylines

          public static final int keylines

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### layout

          public static final int layout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### layoutManager

          public static final int layoutManager

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_anchor

          public static final int layout_anchor

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### layout_anchorGravity

          public static final int layout_anchorGravity

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `top` | 0x30 |
      `bottom` | 0x50 |
      `left` | 0x03 |
      `right` | 0x05 |
      `center_vertical` | 0x10 |
      `fill_vertical` | 0x70 |
      `center_horizontal` | 0x01 |
      `fill_horizontal` | 0x07 |
      `center` | 0x11 |
      `fill` | 0x77 |
      `clip_vertical` | 0x80 |
      `clip_horizontal` | 0x08 |
      `start` | 0x00800003 |
      `end` | 0x00800005 |

      See Also:
        Constant Field Values

    - #### layout_behavior

          public static final int layout_behavior

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_collapseMode

          public static final int layout_collapseMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0 |
      `pin` | 1 |
      `parallax` | 2 |

      See Also:
        Constant Field Values

    - #### layout_collapseParallaxMultiplier

          public static final int layout_collapseParallaxMultiplier

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintBaseline_creator

          public static final int layout_constraintBaseline_creator

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintBaseline_toBaselineOf

          public static final int layout_constraintBaseline_toBaselineOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintBottom_creator

          public static final int layout_constraintBottom_creator

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintBottom_toBottomOf

          public static final int layout_constraintBottom_toBottomOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintBottom_toTopOf

          public static final int layout_constraintBottom_toTopOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintDimensionRatio

          public static final int layout_constraintDimensionRatio

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintEnd_toEndOf

          public static final int layout_constraintEnd_toEndOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintEnd_toStartOf

          public static final int layout_constraintEnd_toStartOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintGuide_begin

          public static final int layout_constraintGuide_begin

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintGuide_end

          public static final int layout_constraintGuide_end

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintGuide_percent

          public static final int layout_constraintGuide_percent

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintHeight_default

          public static final int layout_constraintHeight_default

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `spread` | 0 |
      `wrap` | 1 |

      See Also:
        Constant Field Values

    - #### layout_constraintHeight_max

          public static final int layout_constraintHeight_max

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintHeight_min

          public static final int layout_constraintHeight_min

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintHorizontal_bias

          public static final int layout_constraintHorizontal_bias

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintHorizontal_chainStyle

          public static final int layout_constraintHorizontal_chainStyle

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `spread` | 0 |
      `spread_inside` | 1 |
      `packed` | 2 |

      See Also:
        Constant Field Values

    - #### layout_constraintHorizontal_weight

          public static final int layout_constraintHorizontal_weight

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintLeft_creator

          public static final int layout_constraintLeft_creator

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintLeft_toLeftOf

          public static final int layout_constraintLeft_toLeftOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintLeft_toRightOf

          public static final int layout_constraintLeft_toRightOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintRight_creator

          public static final int layout_constraintRight_creator

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintRight_toLeftOf

          public static final int layout_constraintRight_toLeftOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintRight_toRightOf

          public static final int layout_constraintRight_toRightOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintStart_toEndOf

          public static final int layout_constraintStart_toEndOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintStart_toStartOf

          public static final int layout_constraintStart_toStartOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintTop_creator

          public static final int layout_constraintTop_creator

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintTop_toBottomOf

          public static final int layout_constraintTop_toBottomOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintTop_toTopOf

          public static final int layout_constraintTop_toTopOf

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `parent` | 0 |

      See Also:
        Constant Field Values

    - #### layout_constraintVertical_bias

          public static final int layout_constraintVertical_bias

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintVertical_chainStyle

          public static final int layout_constraintVertical_chainStyle

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `spread` | 0 |
      `spread_inside` | 1 |
      `packed` | 2 |

      See Also:
        Constant Field Values

    - #### layout_constraintVertical_weight

          public static final int layout_constraintVertical_weight

      Must be a floating point value, such as "`1.2`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintWidth_default

          public static final int layout_constraintWidth_default

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `spread` | 0 |
      `wrap` | 1 |

      See Also:
        Constant Field Values

    - #### layout_constraintWidth_max

          public static final int layout_constraintWidth_max

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_constraintWidth_min

          public static final int layout_constraintWidth_min

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_dodgeInsetEdges

          public static final int layout_dodgeInsetEdges

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0x0 |
      `top` | 0x30 |
      `bottom` | 0x50 |
      `left` | 0x03 |
      `right` | 0x03 |
      `start` | 0x00800003 |
      `end` | 0x00800005 |
      `all` | 0x77 |

      See Also:
        Constant Field Values

    - #### layout_editor_absoluteX

          public static final int layout_editor_absoluteX

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_editor_absoluteY

          public static final int layout_editor_absoluteY

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_goneMarginBottom

          public static final int layout_goneMarginBottom

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_goneMarginEnd

          public static final int layout_goneMarginEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_goneMarginLeft

          public static final int layout_goneMarginLeft

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_goneMarginRight

          public static final int layout_goneMarginRight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_goneMarginStart

          public static final int layout_goneMarginStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_goneMarginTop

          public static final int layout_goneMarginTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_insetEdge

          public static final int layout_insetEdge

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0x0 |
      `top` | 0x30 |
      `bottom` | 0x50 |
      `left` | 0x03 |
      `right` | 0x03 |
      `start` | 0x00800003 |
      `end` | 0x00800005 |

      See Also:
        Constant Field Values

    - #### layout_keyline

          public static final int layout_keyline

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### layout_optimizationLevel

          public static final int layout_optimizationLevel

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 1 |
      `all` | 2 |
      `basic` | 4 |
      `chains` | 8 |

      See Also:
        Constant Field Values

    - #### layout_scrollFlags

          public static final int layout_scrollFlags

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `scroll` | 0x1 |
      `exitUntilCollapsed` | 0x2 |
      `enterAlways` | 0x4 |
      `enterAlwaysCollapsed` | 0x8 |
      `snap` | 0x10 |

      See Also:
        Constant Field Values

    - #### layout_scrollInterpolator

          public static final int layout_scrollInterpolator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listChoiceBackgroundIndicator

          public static final int listChoiceBackgroundIndicator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listDividerAlertDialog

          public static final int listDividerAlertDialog

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listItemLayout

          public static final int listItemLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listLayout

          public static final int listLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listMenuViewStyle

          public static final int listMenuViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listPopupWindowStyle

          public static final int listPopupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### listPreferredItemHeight

          public static final int listPreferredItemHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemHeightLarge

          public static final int listPreferredItemHeightLarge

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemHeightSmall

          public static final int listPreferredItemHeightSmall

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemPaddingLeft

          public static final int listPreferredItemPaddingLeft

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### listPreferredItemPaddingRight

          public static final int listPreferredItemPaddingRight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### logo

          public static final int logo

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### logoDescription

          public static final int logoDescription

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### maxActionInlineWidth

          public static final int maxActionInlineWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### maxButtonHeight

          public static final int maxButtonHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### measureWithLargestChild

          public static final int measureWithLargestChild

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### menu

          public static final int menu

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### multiChoiceItemLayout

          public static final int multiChoiceItemLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### navigationContentDescription

          public static final int navigationContentDescription

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### navigationIcon

          public static final int navigationIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### navigationMode

          public static final int navigationMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `normal` | 0 |
      `listMode` | 1 |
      `tabMode` | 2 |

      See Also:
        Constant Field Values

    - #### overlapAnchor

          public static final int overlapAnchor

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### paddingBottomNoButtons

          public static final int paddingBottomNoButtons

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### paddingEnd

          public static final int paddingEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### paddingStart

          public static final int paddingStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### paddingTopNoTitle

          public static final int paddingTopNoTitle

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### panelBackground

          public static final int panelBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### panelMenuListTheme

          public static final int panelMenuListTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### panelMenuListWidth

          public static final int panelMenuListWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### passwordToggleContentDescription

          public static final int passwordToggleContentDescription

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### passwordToggleDrawable

          public static final int passwordToggleDrawable

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### passwordToggleEnabled

          public static final int passwordToggleEnabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### passwordToggleTint

          public static final int passwordToggleTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### passwordToggleTintMode

          public static final int passwordToggleTintMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `src_over` | 3 |
      `src_in` | 5 |
      `src_atop` | 9 |
      `multiply` | 14 |
      `screen` | 15 |

      See Also:
        Constant Field Values

    - #### popupMenuStyle

          public static final int popupMenuStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### popupTheme

          public static final int popupTheme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### popupWindowStyle

          public static final int popupWindowStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### preserveIconSpacing

          public static final int preserveIconSpacing

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### pressedTranslationZ

          public static final int pressedTranslationZ

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### progressBarPadding

          public static final int progressBarPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### progressBarStyle

          public static final int progressBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### queryBackground

          public static final int queryBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### queryHint

          public static final int queryHint

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### radioButtonStyle

          public static final int radioButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### ratingBarStyle

          public static final int ratingBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### ratingBarStyleIndicator

          public static final int ratingBarStyleIndicator

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### ratingBarStyleSmall

          public static final int ratingBarStyleSmall

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### reverseLayout

          public static final int reverseLayout

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### rippleColor

          public static final int rippleColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### scrimAnimationDuration

          public static final int scrimAnimationDuration

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### scrimVisibleHeightTrigger

          public static final int scrimVisibleHeightTrigger

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### searchHintIcon

          public static final int searchHintIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchIcon

          public static final int searchIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### searchViewStyle

          public static final int searchViewStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### seekBarStyle

          public static final int seekBarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### selectableItemBackground

          public static final int selectableItemBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### selectableItemBackgroundBorderless

          public static final int selectableItemBackgroundBorderless

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### showAsAction

          public static final int showAsAction

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `never` | 0 |
      `ifRoom` | 1 |
      `always` | 2 |
      `withText` | 4 |
      `collapseActionView` | 8 |

      See Also:
        Constant Field Values

    - #### showDividers

          public static final int showDividers

      Must be one or more (separated by '|') of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `none` | 0 |
      `beginning` | 1 |
      `middle` | 2 |
      `end` | 4 |

      See Also:
        Constant Field Values

    - #### showText

          public static final int showText

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### showTitle

          public static final int showTitle

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### singleChoiceItemLayout

          public static final int singleChoiceItemLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### spanCount

          public static final int spanCount

      Must be an integer value, such as "`100`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### spinBars

          public static final int spinBars

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### spinnerDropDownItemStyle

          public static final int spinnerDropDownItemStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### spinnerStyle

          public static final int spinnerStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### splitTrack

          public static final int splitTrack

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### srcCompat

          public static final int srcCompat

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### stackFromEnd

          public static final int stackFromEnd

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### state_above_anchor

          public static final int state_above_anchor

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### state_collapsed

          public static final int state_collapsed

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### state_collapsible

          public static final int state_collapsible

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### statusBarBackground

          public static final int statusBarBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### statusBarScrim

          public static final int statusBarScrim

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### subMenuArrow

          public static final int subMenuArrow

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### submitBackground

          public static final int submitBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### subtitle

          public static final int subtitle

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### subtitleTextAppearance

          public static final int subtitleTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### subtitleTextColor

          public static final int subtitleTextColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### subtitleTextStyle

          public static final int subtitleTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### suggestionRowLayout

          public static final int suggestionRowLayout

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### switchMinWidth

          public static final int switchMinWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### switchPadding

          public static final int switchPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### switchStyle

          public static final int switchStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### switchTextAppearance

          public static final int switchTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### tabBackground

          public static final int tabBackground

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### tabContentStart

          public static final int tabContentStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabGravity

          public static final int tabGravity

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `fill` | 0 |
      `center` | 1 |

      See Also:
        Constant Field Values

    - #### tabIndicatorColor

          public static final int tabIndicatorColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabIndicatorHeight

          public static final int tabIndicatorHeight

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabMaxWidth

          public static final int tabMaxWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabMinWidth

          public static final int tabMinWidth

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabMode

          public static final int tabMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `scrollable` | 0 |
      `fixed` | 1 |

      See Also:
        Constant Field Values

    - #### tabPadding

          public static final int tabPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabPaddingBottom

          public static final int tabPaddingBottom

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabPaddingEnd

          public static final int tabPaddingEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabPaddingStart

          public static final int tabPaddingStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabPaddingTop

          public static final int tabPaddingTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabSelectedTextColor

          public static final int tabSelectedTextColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tabTextAppearance

          public static final int tabTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### tabTextColor

          public static final int tabTextColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### textAllCaps

          public static final int textAllCaps

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a boolean value, either "`true`" or "`false`".

      See Also:
        Constant Field Values

    - #### textAppearanceLargePopupMenu

          public static final int textAppearanceLargePopupMenu

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceListItem

          public static final int textAppearanceListItem

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceListItemSmall

          public static final int textAppearanceListItemSmall

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearancePopupMenuHeader

          public static final int textAppearancePopupMenuHeader

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSearchResultSubtitle

          public static final int textAppearanceSearchResultSubtitle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSearchResultTitle

          public static final int textAppearanceSearchResultTitle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textAppearanceSmallPopupMenu

          public static final int textAppearanceSmallPopupMenu

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### textColorAlertDialogListItem

          public static final int textColorAlertDialogListItem

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### textColorError

          public static final int textColorError

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### textColorSearchUrl

          public static final int textColorSearchUrl

      May be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      May be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      See Also:
        Constant Field Values

    - #### theme

          public static final int theme

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### thickness

          public static final int thickness

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### thumbTextPadding

          public static final int thumbTextPadding

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### thumbTint

          public static final int thumbTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### thumbTintMode

          public static final int thumbTintMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `src_over` | 3 |
      `src_in` | 5 |
      `src_atop` | 9 |
      `multiply` | 14 |
      `screen` | 15 |
      `add` | 16 |

      See Also:
        Constant Field Values

    - #### tickMark

          public static final int tickMark

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### tickMarkTint

          public static final int tickMarkTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### tickMarkTintMode

          public static final int tickMarkTintMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `src_over` | 3 |
      `src_in` | 5 |
      `src_atop` | 9 |
      `multiply` | 14 |
      `screen` | 15 |
      `add` | 16 |

      See Also:
        Constant Field Values

    - #### title

          public static final int title

      Must be a string value, using '\\;' to escape characters such as '\\n' or '\\uxxxx' for a unicode character.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleEnabled

          public static final int titleEnabled

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMargin

          public static final int titleMargin

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginBottom

          public static final int titleMarginBottom

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginEnd

          public static final int titleMarginEnd

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginStart

          public static final int titleMarginStart

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMarginTop

          public static final int titleMarginTop

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleMargins

          public static final int titleMargins

      Must be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleTextAppearance

          public static final int titleTextAppearance

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### titleTextColor

          public static final int titleTextColor

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### titleTextStyle

          public static final int titleTextStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### toolbarId

          public static final int toolbarId

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### toolbarNavigationButtonStyle

          public static final int toolbarNavigationButtonStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### toolbarStyle

          public static final int toolbarStyle

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### track

          public static final int track

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### trackTint

          public static final int trackTint

      Must be a color value, in the form of "`#rgb`", "`#argb`", "`#rrggbb`", or "`#aarrggbb`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### trackTintMode

          public static final int trackTintMode

      Must be one of the following constant values.

      Constant | Value | Description
      --- | --- | ---
      `src_over` | 3 |
      `src_in` | 5 |
      `src_atop` | 9 |
      `multiply` | 14 |
      `screen` | 15 |
      `add` | 16 |

      See Also:
        Constant Field Values

    - #### useCompatPadding

          public static final int useCompatPadding

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### voiceIcon

          public static final int voiceIcon

      Must be a reference to another resource, in the form "`@[+][package:]type:name`" or to a theme attribute in the form "`?[package:][type:]name`".

      See Also:
        Constant Field Values

    - #### windowActionBar

          public static final int windowActionBar

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowActionBarOverlay

          public static final int windowActionBarOverlay

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowActionModeOverlay

          public static final int windowActionModeOverlay

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedHeightMajor

          public static final int windowFixedHeightMajor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedHeightMinor

          public static final int windowFixedHeightMinor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedWidthMajor

          public static final int windowFixedWidthMajor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowFixedWidthMinor

          public static final int windowFixedWidthMinor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowMinWidthMajor

          public static final int windowMinWidthMajor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowMinWidthMinor

          public static final int windowMinWidthMinor

      May be a dimension value, which is a floating point number appended with a unit such as "`14.5sp`". Available units are: px (pixels), dp (density-independent pixels), sp (scaled pixels based on preferred font size), in (inches), mm (millimeters).

      May be a fractional value, which is a floating point number appended with either % or %p, such as "`14.5%`". The % suffix always means a percentage of the base size; the optional %p suffix provides a size relative to some parent container.

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

    - #### windowNoTitle

          public static final int windowNoTitle

      Must be a boolean value, either "`true`" or "`false`".

      This may also be a reference to a resource (in the form "`@[package:]type:name`") or theme attribute (in the form "`?[package:][type:]name`") containing a value of this type.

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### attr

          public attr()